(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap0.png", id:"Bitmap0"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap0 = function() {
	this.initialize(img.Bitmap0);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,231,128);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,124,68);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,193,89);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,197,24);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,171,50);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,206,100);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,177,56);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,64,98);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,211,88);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,157,67);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,195,29);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,108);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,215,68);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,119,85);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,186,52);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,105,82);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,199,79);


(lib.gfx_back = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap0();
	this.instance.setTransform(-115.5,-61.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-61.5,231,128);
p.frameBounds = [rect];


(lib.m8b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap18();
	this.instance.setTransform(-78.5,-33.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m8a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();
	this.instance.setTransform(-105.5,-44);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m7b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(-32,-49);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m7a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-88.5,-28);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m6b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-103,-50);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m6a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-85.5,-25);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m5b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-98.5,-12);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m5a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-96.5,-44.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m4b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-62,-34);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m4a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-99.5,-39.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m3b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-52.5,-41);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m3a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-93,-26);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m2b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-59.5,-42.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m2a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-107.5,-34);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m1b = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-48.5,-54);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.m1a = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-97.5,-14.5);

	this.instance_1 = new lib.gfx_back();
	this.instance_1.setTransform(0,-2.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._08b = function() {
	this.initialize();

	// back
	this.back = new lib.m8b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._08 = function() {
	this.initialize();

	// back
	this.back = new lib.m8a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._07b = function() {
	this.initialize();

	// back
	this.back = new lib.m7b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._07 = function() {
	this.initialize();

	// back
	this.back = new lib.m7a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._06b = function() {
	this.initialize();

	// back
	this.back = new lib.m6b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._06 = function() {
	this.initialize();

	// back
	this.back = new lib.m6a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._05b = function() {
	this.initialize();

	// back
	this.back = new lib.m5b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._05 = function() {
	this.initialize();

	// back
	this.back = new lib.m5a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._04b = function() {
	this.initialize();

	// back
	this.back = new lib.m4b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._04 = function() {
	this.initialize();

	// back
	this.back = new lib.m4a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._03b = function() {
	this.initialize();

	// back
	this.back = new lib.m3b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._03 = function() {
	this.initialize();

	// back
	this.back = new lib.m3a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._02b = function() {
	this.initialize();

	// back
	this.back = new lib.m2b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._02a = function() {
	this.initialize();

	// back
	this.back = new lib.m2a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._01b = function() {
	this.initialize();

	// back
	this.back = new lib.m1b();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib._01 = function() {
	this.initialize();

	// back
	this.back = new lib.m1a();

	// front
	this.instance = new lib.gfx_back();
	this.instance.setTransform(0,0,1,1,0,0,0,0,2.5);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-115.5,-64,231,128);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '32464',
			title: 'Znajdź pary obrazków z wakacyjnych podróży.',
			type: 'memo',
			container: this,
			/*
			groups: {		
				1: [1,2,3,4],
				2: [5,6],
				3: [7,8]
			},
			*/
			prefix: 'item_',
			results: [
			
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//zindex: 0
		}
		
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.item_8_b = new lib._08b();
	this.item_8_b.setTransform(1008.7,581);

	this.item_8_a = new lib._08();
	this.item_8_a.setTransform(1008.7,434);

	this.item_7_b = new lib._07b();
	this.item_7_b.setTransform(757.7,581);

	this.item_7_a = new lib._07();
	this.item_7_a.setTransform(757.7,434);

	this.item_6_b = new lib._06b();
	this.item_6_b.setTransform(506.7,581);

	this.item_6_a = new lib._06();
	this.item_6_a.setTransform(506.7,434);

	this.item_5_b = new lib._05b();
	this.item_5_b.setTransform(255.7,581);

	this.item_5_a = new lib._05();
	this.item_5_a.setTransform(255.7,434);

	this.item_4_b = new lib._04b();
	this.item_4_b.setTransform(1008.7,291);

	this.item_4_a = new lib._04();
	this.item_4_a.setTransform(1008.7,144);

	this.item_3_b = new lib._03b();
	this.item_3_b.setTransform(757.7,291);

	this.item_3_a = new lib._03();
	this.item_3_a.setTransform(757.7,144);

	this.item_2_b = new lib._02b();
	this.item_2_b.setTransform(506.7,291);

	this.item_2_a = new lib._02a();
	this.item_2_a.setTransform(506.7,144);

	this.item_1_b = new lib._01b();
	this.item_1_b.setTransform(255.7,291);

	this.item_1_a = new lib._01();
	this.item_1_a.setTransform(255.7,144);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.item_1_a},{t:this.item_1_b},{t:this.item_2_a},{t:this.item_2_b},{t:this.item_3_a},{t:this.item_3_b},{t:this.item_4_a},{t:this.item_4_b},{t:this.item_5_a},{t:this.item_5_b},{t:this.item_6_a},{t:this.item_6_b},{t:this.item_7_a},{t:this.item_7_b},{t:this.item_8_a},{t:this.item_8_b}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(140.2,80,984,565);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(780.2,440,984,565);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;